
-- --------------------------------------------------
-- Entity Designer DDL Script for SQL Server 2005, 2008, and Azure
-- --------------------------------------------------
-- Date Created: 11/13/2010 12:27:29
-- Generated from EDMX file: d:\demos\conferences\CVCC10\SqlAzSite\SqlAzSite\DemoDB.edmx
-- --------------------------------------------------

SET QUOTED_IDENTIFIER OFF;
GO
-- USE [DemoDB];
GO
IF SCHEMA_ID(N'dbo') IS NULL EXECUTE(N'CREATE SCHEMA [dbo]');
GO

-- --------------------------------------------------
-- Dropping existing FOREIGN KEY constraints
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[FK_Sessions_Speakers]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Sessions] DROP CONSTRAINT [FK_Sessions_Speakers];
GO

-- --------------------------------------------------
-- Dropping existing tables
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[Sessions]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Sessions];
GO
IF OBJECT_ID(N'[dbo].[Speakers]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Speakers];
GO
IF OBJECT_ID(N'[dbo].[UserGroups]', 'U') IS NOT NULL
    DROP TABLE [dbo].[UserGroups];
GO

-- --------------------------------------------------
-- Creating all tables
-- --------------------------------------------------

-- Creating table 'Sessions'
CREATE TABLE [dbo].[Sessions] (
    [SessionID] int  NOT NULL,
    [ConfID] int  NULL,
    [Timeslot] nvarchar(25)  NULL,
    [Session1] nvarchar(255)  NULL,
    [Abstract] nvarchar(255)  NULL,
    [Link] nvarchar(255)  NULL,
    [SpeakerID] int  NULL
);
GO

-- Creating table 'Speakers'
CREATE TABLE [dbo].[Speakers] (
    [SpeakerID] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(50)  NOT NULL,
    [Email] nvarchar(255)  NULL
);
GO

-- Creating table 'UserGroups'
CREATE TABLE [dbo].[UserGroups] (
    [GroupID] int  NOT NULL,
    [GroupName] nvarchar(255)  NOT NULL,
    [GroupType] nvarchar(50)  NULL,
    [SourceName] nvarchar(50)  NULL,
    [MtgLoc] nvarchar(255)  NULL,
    [AddrLine1] nvarchar(255)  NULL,
    [AddrLine2] nvarchar(255)  NULL,
    [City] nvarchar(50)  NULL,
    [State] nvarchar(50)  NULL,
    [Zip] nvarchar(50)  NULL,
    [Region] nvarchar(50)  NULL,
    [GroupURL] nvarchar(255)  NULL,
    [Lat] decimal(18,6)  NULL,
    [Long] decimal(18,6)  NULL,
    [Distance] float  NULL,
    [Deleted] int  NULL
);
GO

-- --------------------------------------------------
-- Creating all PRIMARY KEY constraints
-- --------------------------------------------------

-- Creating primary key on [SessionID] in table 'Sessions'
ALTER TABLE [dbo].[Sessions]
ADD CONSTRAINT [PK_Sessions]
    PRIMARY KEY CLUSTERED ([SessionID] ASC);
GO

-- Creating primary key on [SpeakerID] in table 'Speakers'
ALTER TABLE [dbo].[Speakers]
ADD CONSTRAINT [PK_Speakers]
    PRIMARY KEY CLUSTERED ([SpeakerID] ASC);
GO

-- Creating primary key on [GroupID] in table 'UserGroups'
ALTER TABLE [dbo].[UserGroups]
ADD CONSTRAINT [PK_UserGroups]
    PRIMARY KEY CLUSTERED ([GroupID] ASC);
GO

-- --------------------------------------------------
-- Creating all FOREIGN KEY constraints
-- --------------------------------------------------

-- Creating foreign key on [SpeakerID] in table 'Sessions'
ALTER TABLE [dbo].[Sessions]
ADD CONSTRAINT [FK_Sessions_Speakers]
    FOREIGN KEY ([SpeakerID])
    REFERENCES [dbo].[Speakers]
        ([SpeakerID])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_Sessions_Speakers'
CREATE INDEX [IX_FK_Sessions_Speakers]
ON [dbo].[Sessions]
    ([SpeakerID]);
GO

-- --------------------------------------------------
-- Script has ended
-- --------------------------------------------------